Bug 18127 - Add ability to add batch modified records to an existing list
Summary: Add ability to add batch modified records to an existing list
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on: 12759
Blocks: 18133
  Show dependency treegraph
 
Reported: 2017-02-16 02:14 UTC by Aleisha Amohia
Modified: 2020-05-20 09:49 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
With this enhancement you can add all the records of a batch record modification to an existing list after successful modification.
Version(s) released in:
20.05.00


Attachments
Bug 18127: Add batch modified records to an existing list (5.55 KB, patch)
2017-02-16 02:19 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18127: Add batch modified records to an existing list (6.67 KB, patch)
2017-02-16 21:04 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18127: Add batch modified records to an existing list (6.79 KB, patch)
2020-02-05 04:37 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18127: Add batch modified records to an existing list (6.86 KB, patch)
2020-02-14 16:23 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 18127: Add batch modified records to an existing list (6.92 KB, patch)
2020-03-10 11:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18127: Add missing html filters (1.90 KB, patch)
2020-03-10 11:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-02-16 02:14:41 UTC
From Bug 12759 Comment 1
Comment 1 Aleisha Amohia 2017-02-16 02:19:40 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2017-02-16 21:04:46 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2017-05-30 15:08:49 UTC
Blocked by bug 12759.
Comment 4 Aleisha Amohia 2020-02-05 04:37:39 UTC Comment hidden (obsolete)
Comment 5 ByWater Sandboxes 2020-02-14 16:23:54 UTC
Created attachment 98971 [details] [review]
Bug 18127: Add batch modified records to an existing list

To test:
1) Start by having no (zero) lists
2) Go to Tools -> Batch record modification
3) Go through the batch record modification process, confirm everything
works as normal and there is a link to do a new batch record
modification at the end
4) In another tab, go to Lists and create a new list
5) Go back to the first tab and start a new batch modification process
6) At the end of the process, there should be a new option to add
modified records to an existing list
7) Select a list from the dropdown and confirm you are able to save your
modified records to the list as expected
8) Start a new batch modification process, this time for authorities
records
9) At the end confirm there is no option to add modified records to a
list, because authorities cannot be added to lists

Sponsored-by: Catalyst IT

Signed-off-by: Jessica Zairo <jzairo@bywatersolutions.com>
Comment 6 Jonathan Druart 2020-02-24 12:16:36 UTC
Hi Aleisha,

A couple of things:

1. After 7, I still have the "Add to a list:" popup that does not close. I think that is not correct.

2. I am wondering how we could improve the ergonomic of the last view, maybe Owen could help us?
https://snipboard.io/GYxbaS.jpg

Especially if there is no list, we see
"""
Next steps:
* New batch record modification
"""
Comment 7 Aleisha Amohia 2020-02-25 04:26:12 UTC
(In reply to Jonathan Druart from comment #6)
> Hi Aleisha,
> 
> A couple of things:
> 
> 1. After 7, I still have the "Add to a list:" popup that does not close. I
> think that is not correct.
> 

Hi Jonathan. I don't get this bug - The popup closes when you click 'Save' and when you click 'Cancel'.
Comment 8 Jonathan Druart 2020-02-25 09:45:04 UTC
When I select a list, the popup is displayed with /cgi-bin/koha/virtualshelves/addbybiblionumber.pl?shelfnumber=4&confirm=1&biblionumber=1&biblionumber=2&biblionumber=3&biblionumber=4&biblionumber=5

I then click "Save", the popup reloads with  /cgi-bin/koha/virtualshelves/addbybiblionumber.pl
and I see https://snipboard.io/lGR2fE.jpg
Comment 9 Aleisha Amohia 2020-02-26 00:17:25 UTC
Sorry Jonathan I'm still unable to reproduce that, and I've asked others to test and they couldn't reproduce either.

Setting back to Needs signoff to see if this is working (or not working) for someone else.
Comment 10 Katrin Fischer 2020-02-26 07:11:57 UTC
Could this be a browser issue? I seem to remember we had issues with 'not closing windows' on another bug report a while ago.
Which browsers have you 2 been testing with?
Comment 11 Jonathan Druart 2020-02-26 08:57:40 UTC
Ok with Chromium, Not OK with Firefox.

I indeed see
<html><meta http-equiv="refresh" content="0" /><body onload="self.close();"></body></html>
in the source, but the window does not close. Same behavior when adding a record to a list from the search result page actually, so not (directly) related to this.
Comment 12 Jonathan Druart 2020-02-26 09:21:00 UTC
(In reply to Jonathan Druart from comment #11)
> Ok with Chromium, Not OK with Firefox.
> 
> I indeed see
> <html><meta http-equiv="refresh" content="0" /><body
> onload="self.close();"></body></html>
> in the source, but the window does not close. Same behavior when adding a
> record to a list from the search result page actually, so not (directly)
> related to this.

Well, I am confused. It works in FF in a private window, I guess I have an extension that is missing with that close().

Sorry!
Comment 13 Aleisha Amohia 2020-02-26 20:00:08 UTC
Thanks anyway Jonathan. I am testing in Firefox and it works fine for me.

Will leave as Needs signoff for someone else to test.
Comment 14 Jonathan Druart 2020-03-10 11:22:48 UTC
Created attachment 100449 [details] [review]
Bug 18127: Add batch modified records to an existing list

To test:
1) Start by having no (zero) lists
2) Go to Tools -> Batch record modification
3) Go through the batch record modification process, confirm everything
works as normal and there is a link to do a new batch record
modification at the end
4) In another tab, go to Lists and create a new list
5) Go back to the first tab and start a new batch modification process
6) At the end of the process, there should be a new option to add
modified records to an existing list
7) Select a list from the dropdown and confirm you are able to save your
modified records to the list as expected
8) Start a new batch modification process, this time for authorities
records
9) At the end confirm there is no option to add modified records to a
list, because authorities cannot be added to lists

Sponsored-by: Catalyst IT

Signed-off-by: Jessica Zairo <jzairo@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Jonathan Druart 2020-03-10 11:22:52 UTC
Created attachment 100450 [details] [review]
Bug 18127: Add missing html filters

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 16 Jonathan Druart 2020-03-10 11:23:38 UTC
That works, and could be considered a first step. IMO the ergonomic should be improved on a follow-up bug report.
Comment 17 Martin Renvoize 2020-03-10 15:17:35 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 18 Joy Nelson 2020-04-02 20:11:41 UTC
enhancement not backported to 19.11.x